Skip to main content
GET
/
api
/
VolunteerOpportunity
/
{volunteerOpportunityId}
Get Volunteer Opportunity
curl --request GET \
  --url https://api.virtuoussoftware.com/api/VolunteerOpportunity/{volunteerOpportunityId} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<integer>",
  "volunteerOpportunityUrl": "<string>",
  "name": "<string>",
  "locationName": "<string>",
  "displayAddress": "<string>",
  "startDateTime": "<string>",
  "endDateTime": "<string>",
  "preferredDateTime": "<string>",
  "timeZone": "<string>",
  "description": "<string>",
  "createDateTimeUtc": "<dateTime>",
  "createdByUser": "<string>",
  "modifiedDateTimeUtc": "<dateTime>",
  "modifiedByUser": "<string>",
  "isActive": "<boolean>",
  "isLocalOnly": "<boolean>",
  "preferredNumberOfHours": "<double>",
  "projectId": "<integer>",
  "totalVolunteers": "<integer>",
  "totalVolunteerHours": "<double>",
  "volunteerOrganizers": [
    {
      "id": "<integer>",
      "volunteerOrganizerUrl": "<string>",
      "contactId": "<integer>",
      "displayName": "<string>",
      "firstName": "<string>",
      "avatarUrl": "<string>",
      "primaryPhone": "<string>",
      "primaryEmail": "<string>",
      "contactUrl": "<string>",
      "volunteerOpportunityUrl": "<string>"
    },
    {
      "id": "<integer>",
      "volunteerOrganizerUrl": "<string>",
      "contactId": "<integer>",
      "displayName": "<string>",
      "firstName": "<string>",
      "avatarUrl": "<string>",
      "primaryPhone": "<string>",
      "primaryEmail": "<string>",
      "contactUrl": "<string>",
      "volunteerOpportunityUrl": "<string>"
    }
  ],
  "currentNeed": "<integer>",
  "currentPriority": "<string>",
  "currentPriorityName": "<string>",
  "currentNeedFilledPercentage": "<double>",
  "hoursFilledPercentage": "<double>",
  "volunteerOrganizersUrl": "<string>",
  "volunteersUrl": "<string>",
  "customFields": [
    {
      "name": "<string>",
      "value": "<string>",
      "displayName": "<string>"
    },
    {
      "name": "<string>",
      "value": "<string>",
      "displayName": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

volunteerOpportunityId
string
required

(Required) The volunteer opportunity identifier.

Response

OK

id
string
volunteerOpportunityUrl
string
name
string
locationName
string
displayAddress
string
startDateTime
string
endDateTime
string
preferredDateTime
string
timeZone
string
description
string
createDateTimeUtc
string
createdByUser
string
modifiedDateTimeUtc
string
modifiedByUser
string
isActive
string
isLocalOnly
string
preferredNumberOfHours
string
projectId
string
totalVolunteers
string
totalVolunteerHours
string
volunteerOrganizers
object[]
currentNeed
string
currentPriority
string
currentPriorityName
string
currentNeedFilledPercentage
string
hoursFilledPercentage
string
volunteerOrganizersUrl
string
volunteersUrl
string
customFields
object[]
Last modified on June 5, 2026